> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available booking credits

> List plan sessions available to book across the clients linked to a member



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml get /v1/members/{memberId}/plans/credits
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/members/{memberId}/plans/credits:
    get:
      tags:
        - Member Client Plan
      summary: List available booking credits
      description: >-
        List plan sessions available to book across the clients linked to a
        member
      operationId: MemberClientPlanController_listCredits
      parameters:
        - name: memberId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BookingCredit'
components:
  schemas:
    BookingCredit:
      type: object
      properties:
        id:
          type: string
        status:
          enum:
            - available
            - booked
            - redeemed
            - voided
          type: string
        clientPlanId:
          type: string
        clientPlanItemId:
          type: string
        appointmentTypeId:
          type: string
          nullable: true
        price:
          type: number
        currency:
          type: string
        paidAt:
          format: date-time
          type: string
          nullable: true
        bookedAt:
          format: date-time
          type: string
          nullable: true
        redeemedAt:
          format: date-time
          type: string
          nullable: true
        isPaid:
          type: boolean
        isBooked:
          type: boolean
      required:
        - id
        - status
        - clientPlanId
        - clientPlanItemId
        - appointmentTypeId
        - price
        - currency
        - paidAt
        - bookedAt
        - redeemedAt
        - isPaid
        - isBooked

````